html, body{
    overflow-x: hidden;
}
body{
    font-family: var(--primary-font);
    font-size: 16px;
    font-weight: 400;
    color: var(--para-text-color);
    line-height: 1.8;
    text-align: justify;
    position: relative;
}
.section-spacing{
    padding: 25px 0;
}
.common-heading{
    font-size: 36px;
    font-weight: 700;
    color: var(--heading-color);
    line-height: 1.2;
    text-align: left;
    font-family: var(--primary-font);
}
.common-heading .stylish-heading-text{
    color: var(--bg-primary);
    font-family: var(--primary-font);
    font-size: 36px;
    font-weight: 700;
    line-height: 1.2;
    text-align: left;
    font-family: var(--primary-font);
}
.para-text{
    font-size: 16px;
    font-weight: 400;
    color: var(--para-text-color);
    line-height: 28px;
    text-align: left;
    font-family: var(--primary-font);
    text-align: justify;
}
.common-button{
    background-color: var(--secondary-button-bg);
    color: var(--color-white);
    padding: 10px 20px;
    border-radius: 30px;
    text-decoration: none;
    font-size: 16px;
    font-weight: 500;
    display: inline-flex;
    gap: 10px;
    font-family: var(--primary-font);
    border: none;
    box-shadow: none;
    transition: .3s ease-in-out;
}
.common-button .common-button-icon{
    width: 15px;
    height: auto;
    transition: .3s ease-in-out;
}
.common-button:hover{
    background-color: var(--secondary-button-bg-hover);
    color: var(--color-white);
    transform: translateY(-2px);
    box-shadow: 0 4px 6px rgba(0, 0, 0, .1);
    transition: .3s ease-in-out;
}
.common-button:hover .common-button-icon{
    transform: translateX(5px);
    transition: .3s ease-in-out;
}
.common-modal-btn{
    background-color: var(--primary-button-bg);
}
.common-modal-btn:hover{
    background-color: var(--bg-secondary);
    color: var(--color-white);
    transform: translateY(-2px);
    box-shadow: 0 4px 6px rgba(0, 0, 0, .1);
    transition: .3s ease-in-out;
}
.common-modal-btn:hover .common-button-icon{
    transform: translateX(5px);
    transition: .3s ease-in-out;
}
.about-content-wrapper{
    display: inline-block;
}
.about-content-wrapper .about-content-image{
    width: 550px;
    margin-right: 30px;
    margin-bottom: 20px;
    float: left;
}
.about-content-image-button-whatsapp-call .whatsapp-icon{
    width: 50px;
    height: auto;
    transition: .3s ease-in-out;
}
.about-content-image-button-whatsapp-call .whatsapp-icon:hover{
    transform: translateY(-5px);
}
.about-content-image-button-whatsapp-call .call-icon{
    width: 44px;
    height: auto;
    transition: .3s ease-in-out;
}
.about-content-image-button-whatsapp-call .call-icon:hover{
    transform: translateY(-5px);
}
.about-content-list{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 10px;
    list-style: none;
    padding: 0;
    margin: 0;
}
.about-content-list li{
    display: flex;
    align-items: center;
    gap: 10px;
    border: 1px solid #f5f5f5;
    border-left: 4px solid var(--bg-tertiary);
    border-radius: 0;
    padding: 10px 15px;
    border-top-right-radius: 12px;
    border-bottom-right-radius: 12px;
    width: calc(50% - 5px);
}
.about-content-list li span:first-child{
    font-weight: 600;
}
.about-content-list li span:last-child{
    font-weight: 400;
}
.custom-bg-light{
    background-color: var(--bg-light);
}
.common-heading.heading2-text{
    font-size: 32px;
    font-weight: 700;
    color: var(--heading-color);
    line-height: 1.2;
    text-align: left;
    font-family: var(--primary-font);
}
.common-heading.heading2-text .stylish-heading-text{
    color: var(--bg-primary);
    font-family: var(--primary-font);
    font-size: 32px;
    font-weight: 700;
    line-height: 1.2;
    text-align: left;
    font-family: var(--primary-font);
}
.card-wrapper {
    padding-top: 15px;
}
.card-wrapper .card,
.card-wrapper .card .card-body{
    border-radius: 22px;
}
.card-wrapper .card{
    border-color: #CACACA;
}
.card-wrapper .card .card-body{
    padding: 18px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.card-wrapper .card .card-body .card-body-inner{
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.card-wrapper .card .card-body .card-body-inner .card-image{
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.card-image-link{
    display: block;
    overflow: hidden;
    border-radius: 16px;
}
.card-wrapper .card .card-body .card-body-inner .card-image img{
    width: 100%;
    height: auto;
    position: relative;
    transition: .3s ease-in-out;
}
.card-image-link:hover img{
    transform: scale(1.05);
    transition: .3s ease-in-out;

}
.card-wrapper .card:hover .card-body .card-body-inner .card-image img{
    transform: scale(1.05);
    transition: .3s ease-in-out;
}
.card-wrapper .card .card-body .card-body-inner .card-image .card-image-call-link{
    position: absolute;
    top: 10px;
    right: 10px;
    display: flex;
    gap: 10px;
}
.card-wrapper .card .card-body .card-body-inner .card-image .card-image-call-link .call-link{
    width: 32px;
    height: 32px;
    transition: .3s ease-in-out;
}
.card-wrapper .card .card-body .card-body-inner .card-image .card-image-call-link .call-link:hover{
    transform: translateY(-5px);
}
.card-wrapper .card .card-body .card-body-inner .card-image .card-image-call-link .call-link img{
    width: 100%;
    height: auto;
    transition: .3s ease-in-out;
}
.card-wrapper .card .card-body .card-body-inner .card-image .card-image-call-link .call-link:hover img{
    transform: translateY(-3px);
}
.card-wrapper .card .card-body .card-body-inner .card-image .card-image-call-link .call-link:hover img{
    transform: translateY(-3px);
}
.card-wrapper .card .card-body .card-body-inner .card-title-link{
    text-decoration: none;
}
.card-wrapper .card .card-body .card-body-inner .card-title-link .card-title{
    font-size: 18px;
    font-weight: 700;
    color: var(--heading-color);
    line-height: 1.2;
    text-align: left;
    font-family: var(--primary-font);
}
.card-wrapper .card .card-body .card-body-inner .card-title-link .card-title .card-style-title{
    color: var(--bg-primary);
    font-size: 18px;
    font-weight: 700;
    line-height: 1.2;
    text-align: left;
    font-family: var(--primary-font);
    text-decoration: none;
    transition: .3s ease-in-out;
}
.card-wrapper .card:hover .card-body .card-body-inner .card-title-link .card-title{
    color: var(--bg-primary);
    text-decoration: none;
    transition: .3s ease-in-out;
}
.card-wrapper .card:hover .card-body .card-body-inner .card-title-link .card-title .card-style-title{
    color: var(--bg-primary);
    text-decoration: none;
    transition: .3s ease-in-out;
}
.card-wrapper .card .card-body .card-body-inner-details-wrapper{
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.card-wrapper .card .card-body .card-body-inner-details-wrapper .card-body-inner-details{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    border-bottom: 1px solid #CACACA;
    padding-bottom: 15px;
    margin-bottom: 15px;
}
.card-wrapper .card .card-body .card-body-inner-details-wrapper .card-body-inner-details .card-body-inner-details-item{
    display: flex;
    align-items: center;
    gap: 5px;
}
.card-wrapper .card .card-body .card-body-inner-details-wrapper .card-body-inner-details .card-body-inner-details-item img{
    width: 16px;
    height: auto;
}
.card-wrapper .card .card-body .card-body-inner-details-wrapper .card-body-inner-details .card-body-inner-details-item img.rupee-icon{
    width: 10px;
    height: auto;
}
.card-wrapper .card .card-body .card-body-inner-details-wrapper .card-body-inner-details .card-body-inner-details-item .item-text{
    font-size: 14px;
    font-weight: 500;
    color: var(--color-black);
    line-height: 1.2;
    font-family: var(--primary-font);
}
.card-wrapper .card .card-body .card-body-inner-details-wrapper .card-body-inner-details-button{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
}
.card-wrapper .card .card-body .card-body-inner-details-wrapper .card-body-inner-details-button .rupee-icon{
    width: 10px;
    margin-top: 3px;
    margin-right: 3px;
}
.card-wrapper .card .card-body .card-body-inner-details-wrapper .card-body-inner-details-button .price-text{
    font-size: 24px;
    font-weight: 700;
    color: var(--color-black);
    line-height: 1.2;
    font-family: var(--primary-font);
}
.card-wrapper .card .card-body .card-body-inner-details-wrapper .card-body-inner-details-button .common-button{
    background-color: var(--bg-primary);
    text-transform: uppercase;
    padding: 6px 16px;
    font-size: 14px;
}
.card-wrapper .card .card-body .card-body-inner-details-wrapper .card-body-inner-details-button .common-button:hover{
    background-color: var(--bg-secondary);
    color: var(--color-white);
    transform: translateY(-2px);
    box-shadow: 0 4px 6px rgba(0, 0, 0, .1);
    transition: .3s ease-in-out;
}


.vehicle-image-wrapper{
    position: relative;
    border-radius: 22px;
}
.vehicle-image-wrapper .vehicle-image img{
    width: 100%;
    border-radius: 22px;
    position: relative;
    height: auto;
    z-index: 1;
}
.vehicle-image-wrapper .vehicle-image .vehicle-image-overlay{
    margin-right: -10px;
    width: 250px;
    height: 140px;
    background: var(--bg-tertiary);
    border-radius: 22px;
    z-index: 0;
    position: absolute;
    bottom: 4px;
    right: 4px;
}

.features-section{
    padding: 40px 0;
}
.features-section .features-section-item{
    border: 1px solid #D9D9D9;
    border-radius: 22px;
}
.features-section .features-section-item .features-section-item-inner{
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 10px;
}
.features-section-item-inner-image{
    overflow: hidden;
    border-radius: 20px 20px 0 0;
}
.features-section-item-inner-image img{
    width: 100%;
    height: auto;
    transition: .3s ease-in-out;
}
.features-section-item-inner-image:hover img{
    transform: scale(1.05);
    transition: .3s ease-in-out;
}
.features-section-item-inner-content{
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    min-height: 205px;
    justify-content: end;
    border-radius: 20px;
    background: #fff;
    margin-top: -35px;
    z-index: 1;
}
.features-section-item-inner-content-title{
    font-size: 20px;
    font-weight: 600;
    color: var(--heading-color);
    line-height: 1.2;
    font-family: var(--primary-font);
    text-align: center;
    padding-top: 10px;
}
.features-section-item-inner-content-title span{
    color: var(--bg-primary);
}
.features-section-item-inner-content ul{
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
    height: 163px;
    justify-content: end;
}
.features-section-item-inner-content ul li{
    font-size: 13px;
    font-weight: 500;
    color: var(--para-text-color);
    line-height: 1.2;
    font-family: var(--primary-font);
    list-style: none;
    padding-left: 0;
    margin: 0;
}
.features-section-item-inner-content ul li:nth-of-type(odd){
    background: var(--bg-white);
    color: var(--color-heading);
    padding: 8px 10px;
}
.features-section-item-inner-content ul li:nth-of-type(even){
    background: #183c7024;
    color: var(--color-heading);
    padding: 8px 10px;
}
.features-section-item-inner-content ul li:last-child{
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
}

.gallery-section{
    padding: 40px 0;
}
.gallery-wrapper{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
    margin-top: 20px;
}
.gallery-wrapper .gallery-item{
    border-radius: 22px;
    overflow: hidden;
    transition: .3s ease-in-out;
}
.gallery-wrapper .gallery-item img{
    width: 100%;
    height: auto;
    transition: .3s ease-in-out;
    object-fit: cover;
    object-position: center;
}
.gallery-wrapper .gallery-item:hover img{
    transform: skew(2deg) scale(1.05);
    transition: .3s ease-in-out;
    object-fit: cover;
    object-position: center;
}

.question-section{
    background-color: var(--bg-secondary);
    border-radius: 22px;
    padding: 80px 80px;
    height: 414px;
    position: relative;
    margin-top: 70px;
}
.question-section .question-section-inner{
    display: flex;
    flex-direction: column;
    gap: 50px;
}
.question-section .question-section-inner .common-heading.heading2-text{
    color: var(--color-white);
}
.question-section .question-section-inner .common-heading.heading2-text .stylish-heading-text{
    color: var(--color-tertiary);
}
.question-section .question-section-inner .question-cta-button-group{
    display: flex;
    align-items: center;
    gap: 10px;
}
.question-section .question-section-inner .question-cta-button-group .common-button{
    background-color: var(--bg-white);
    color: var(--color-black);
    border-radius: 5px;
}
.question-section .question-section-inner .question-cta-button-group .common-button .common-button-icon{
    width: 15px;
}
.question-section .question-section-inner .question-cta-button-group .common-button.common-button-contact{
    background-color: transparent;
    border: 1px solid var(--color-white);
    color: var(--color-white);
}
.question-section .question-section-inner .question-cta-button-group .common-button .common-button-icon{
    width: 15px;
    height: auto;
}
.question-section .question-section-inner .question-cta-button-group .common-button .common-button-icon{
    width: 15px;
    height: auto;
}
.question-section .question-section-inner .question-cta-button-group .common-button .common-button-icon{
    width: 15px;
    height: auto;
}
.question-section .question-section-inner .question-cta-button-group .common-button .common-button-icon{
    width: 15px;
    height: auto;
}
.question-section .question-section-image-wrapper{
    border-radius: 22px;
}
.question-section .question-section-image-wrapper .question-section-image{
    position: absolute;
    top: -25px;
    right: 70px;
    width: 464px;
    object-fit: cover;
    object-position: center;
    z-index: 1;
    border-radius: 22px;
}
.question-section .question-section-image-wrapper .question-section-image img{
    width: 100%;
    border-radius: 22px;
    position: relative;
    height: auto;
    z-index: 1;
}
.question-section .question-section-image-wrapper .dot-pattern{
    position: absolute;
    left:45%;
    bottom: 10%;
}
.question-section .question-section-image-wrapper .circle-shape{
    position: absolute;
    right: 2%;
    top: -17%;
    z-index: 0;
}


.why-choose-us-wrapper{
    display: flex;
    align-items: center;
    gap: 20px;
    margin-top: 40px;
}
.why-choose-us-label{
    font-size: 16px;
    font-weight: 600;
    color: var(--bg-primary);
    line-height: 1.2;
    font-family: var(--primary-font);
    background-color: #effaff;
    padding: 4px 8px;
    display: inline-block;
    border-radius: 30px;
    box-shadow: 0 2px;
    margin-bottom: 10px;
}
.why-choose-left-right{
    width: 50%;
}
.why-choose-image{
    width: 50%;
}
.why-choose-image img{
    width: 100%;
    height: auto;
    object-fit: cover;
    object-position: center;
    border-radius: 22px;
}
.why-choose-left-right-inner{
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.why-choose-left-right-inner-item{
    display: flex;
    align-items: center;
    gap: 20px;
}
.why-choose-left-right-inner-item-inner-content{
    display: flex;
    flex-direction: column;
    align-items: end;
    gap: 5px;
}
.why-choose-left-right-inner-item-inner-content-title{
    font-size: 20px;
    font-weight: 600;
    color: var(--heading-color);
    line-height: 1.2;
    font-family: var(--primary-font);
    text-align: end;
}
.why-choose-left-right-inner-item-inner-content-text{
    font-size: 16px;
    font-weight: 400;
    color: var(--para-text-color);
    line-height: 1.2;
    font-family: var(--primary-font);
    margin-bottom: 0;
    text-align: end;
}
.why-choose-left-right-inner-item-inner-image{
    width: 80px;
    height: 80px;
    background-color: var(--bg-secondary);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 20px;
    flex: none;
}
.why-choose-left-right-inner-item-inner-image img{
    width: 36px;
    height: auto;
}
.why-choose-right .why-choose-left-right-inner-item{
    align-items: start;
    flex-direction: row-reverse;
}
.why-choose-right .why-choose-left-right-inner-item-inner-content{
    align-items: start;
}
.why-choose-right .why-choose-left-right-inner-item-inner-content-title{
    text-align: start;
}
.why-choose-right .why-choose-left-right-inner-item-inner-content-text{
    text-align: start;
}

.our-testimonials-section{
    padding: 80px 0;
}
.our-testimonials-section .testimonials-label{
    font-size: 16px;
    font-weight: 600;
    color: var(--bg-primary);
    line-height: 1.2;
    font-family: var(--primary-font);
    background-color: #effaff;
    padding: 4px 8px;
    display: inline-block;
    border-radius: 30px;
    box-shadow: 0 2px;
    margin-bottom: 10px;    
}
.our-testimonials-section .common-heading.heading2-text{
    font-size: 32px;
    margin-bottom: 30px;
    font-weight: 600;
}
.testimonials-swiper{
    width: 100%;
}
.our-testimonials-section-right {
    position: relative;
    padding-left: 35px;
}
.our-testimonials-section-right .our-testimonials-section-right-inner{
    position: relative;
}
.testimonials-slide-item{
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.our-testimonials-section-right-inner .testimonials-image{
    width: 577px;
    height: 487px;
    object-fit: cover;
    object-position: center;
    border-radius: 22px;
}
.our-testimonials-section-right-inner-swiper {
    background: #252837;
    padding: 40px;
    border-radius: 20px;
    max-width: 492px;
    position: absolute;
    bottom: -45px;
    right: 0;
}
.testimonials-slide-item .para-text{
    font-size: 14px;
    font-weight: 400;
    color: var(--color-white);
    line-height: 1.8;
    text-align: justify;
    margin-bottom: 0;
}
.testimonials-slide-item-footer {
    display: flex;
    align-items: center;
    gap: 10px;
}
.testimonials-slide-item .testimonials-person-info .person-image{
    width: 48px;
    height: 48px;
    border-radius: 50%;
    object-fit: cover;
    object-position: center;
}
.testimonials-slide-item .testimonials-person-info .person-name{
    font-size: 14px;
    font-weight: 600;
    color: var(--color-white);
    font-family: var(--primary-font);
    line-height: 1.2;
}
.testimonials-slide-item .testimonials-person-info .person-role{
    font-size: 12px;
    font-weight: 400;
    color: var(--color-tertiary);
    font-family: var(--primary-font);
}
.testimonials-slide-item .quote-icon{
    width: 48px;
    height: 48px;
}
.testimonials-swiper .swiper-slide{
    display: flex;
    justify-content: center;
    overflow: hidden;
    width: 100%;
}
.testimonials-swiper .swiper-slide{ 
    opacity: 0; 
    pointer-events: none; 
    transition: opacity .3s ease-in-out; 
}
.testimonials-swiper .swiper-slide.swiper-slide-active,
.testimonials-swiper .swiper-slide.swiper-slide-duplicate-active{
    opacity: 1;
    pointer-events: auto;
}
.testimonials-swiper .swiper-pagination{
    position: absolute;
    left: 50px;
    bottom: 10px;
    text-align: start;
}
.testimonials-swiper .swiper-pagination-bullet{
    background: #D9D9D9;
    opacity: 1;
    width: 30px;
    height: 4px;
    border-radius: 7px;
    margin: 0 6px !important;
}
.testimonials-swiper .swiper-pagination-bullet-active{
    background: var(--bg-tertiary);
    opacity: 1;
}



.faq-section{
    background-color: var(--bg-faq);
}
.faq-section .common-heading.heading2-text{
    font-size: 32px;
    margin-bottom: 30px;
}
.faq-accordion{
    display: flex;
    flex-direction: column;
    gap: 15px;
}
.faq-accordion .accordion-item{
    border: none;
    border-radius: 14px;
}
.faq-accordion .accordion-button{
    background-color: var(--bg-white);
    color: var(--heading-color);
    font-size: 16px;
    font-weight: 600;
    line-height: 1.2;
    font-family: var(--primary-font);
    border: 1px solid #D9D9D9;
    padding: 12px 20px;
    text-align: left;
    box-shadow: none;
    border-radius: 14px;
}
.faq-accordion .accordion-button:focus{
    box-shadow: none;
    outline: none;
}
.faq-accordion .accordion-item:first-child .accordion-button{
    border-top-left-radius: 14px;
    border-top-right-radius: 14px;
}
.faq-accordion .accordion-item:last-child .accordion-button.collapsed{
    border-bottom-left-radius: 14px;
    border-bottom-right-radius: 14px;
}
.faq-accordion .accordion-body{
    font-family: var(--primary-font);
    font-size: 16px;
    font-weight: 400;
    color: var(--para-text-color);
    line-height: 1.8;
    padding: 14px 20px;
    border-bottom-left-radius: 14px;
    border-bottom-right-radius: 14px;
}